Subject: Re: bug#66507: 30.0.50; Cannot build some modules without adding LOCAL_EXPORT_CFLAGS=-isystem ... on Android port.

From: ayatakesi <[email-masked]>
Date: Mon, 16 Oct 2023 02:35:32 +0900

Hello, again

I tried LOCAL_EXPORT_C_INCLUDE_DIRS, and worked fine
 except core/libpackagelistparser.

When I build libpackagelistparser, make failed with

/home/runner/work/my-emacs/my-emacs/my_sub_modules/core/libpackagelistparser//packagelistparser.c:30:10: fatal error: 'utils/Log.h' file not found
#include <utils/Log.h>
         ^~~~~~~~~~~~~

I cloned core package from Google, and I specify such bellow

directory structure:
core
|-libpackagelistparser
    Android.mk
|-utils
  |-include
      Log.h

in Android.mk:
LOCAL_EXPORT_C_INCLUDE_DIRS += $(LOCAL_PATH)/../include

But LOCAL_EXPORT_C_INCLUDE_DIRS and LOCAL_EXPORT_C_INCLUDES
 did not work except LOCAL_EXPORT_CFLAGS.

Takesi Ayanokoji <[email-masked]> writes:

> Hello,
>
> I will try LOCAL_EXPORT_C_INCLUDE_DIRS instead.
>
> Thanks,
>
> 2023年10月13日(金) 午後2:02 Po Lu <[email-masked]>:
>
>  Takesi Ayanokoji <[email-masked]> writes:
>
>  > Hello Po- san.
>  >
>  > Unfortunately it doesn't seem to be mentioned in the
>  java/INSTALL.
>
>  I've now repaired these ommissions; that being said, I
>  opted to
>  recommend modifications to the Makefiles different from
>  those you
>  mentioned, for include paths are customarily exported
>  through the
>  variable LOCAL_EXPROT_C_INCLUDE_DIRS, not variables
>  meant for exporting
>  CFLAGS.